### Method

# RB SongInfo append_page

#### Declaration [src]

    guint
    rb_song_info_append_page (
      RBSongInfo* info,
      const char* title,
      GtkWidget* page
    )

#### Description [src]

Adds a new page to the song properties window. Should be called in a handler connected to the `RBShell` ‘create-song-info’ signal.

#### Parameters

`title`

  Type: `const char*`

  The title of the new page.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`page`

  Type: `GtkWidget`

  The page `GtkWidget`.

  The data is owned by the caller of the method.

#### Return value

Type: `guint`

The page number.